export var ErrorModelCollectionEventType;
(function (ErrorModelCollectionEventType) {
    ErrorModelCollectionEventType[ErrorModelCollectionEventType["add"] = 1] = "add";
    ErrorModelCollectionEventType[ErrorModelCollectionEventType["clear"] = 2] = "clear";
    ErrorModelCollectionEventType[ErrorModelCollectionEventType["remove"] = 3] = "remove";
    ErrorModelCollectionEventType[ErrorModelCollectionEventType["load"] = 4] = "load";
})(ErrorModelCollectionEventType || (ErrorModelCollectionEventType = {}));
export default class ErrorModelCollectionEvent {
    constructor(options) {
        this.m_error = options.error;
        this.m_errors = options.errors;
        this.m_eventType = options.eventType;
    }
    get errors() {
        return this.m_errors;
    }
    get error() {
        return this.m_error;
    }
    get eventType() {
        return this.m_eventType;
    }
}
